CodeIgniter Forums
Migration from 1.7.2 to the latest version 2.2 of CI?. - Printable Version

+- CodeIgniter Forums (https://forum.codeigniter.com)
+-- Forum: Using CodeIgniter (https://forum.codeigniter.com/forum-5.html)
+--- Forum: General Help (https://forum.codeigniter.com/forum-24.html)
+--- Thread: Migration from 1.7.2 to the latest version 2.2 of CI?. (/thread-74864.html)



Migration from 1.7.2 to the latest version 2.2 of CI?. - iosman000 - 11-16-2019

Hello,

I wanna clarify whether I need to do all steps from the instruction successively (I mean those stepsĀ http://www.codeigniter.com/user_guide/in...ading.html) or there is a way to migrate from 1.7.2 to 2.2 directly.
Please advise me.

I have already done the steps regarding v.1.7.2 to 2.0 migration in my project, but I got 503 server error. I can't find out what's wrong with it. I really love CodeIgniter and want to use its latest version for my project further.


thanks
iosman


RE: Migration from 1.7.2 to the latest version 2.2 of CI?. - jreklund - 11-17-2019

You are required to do all steps, you can't cheat the system. You don't need to update the system folder on all updates however, just put the latest version in there.

Depending on the size of the projects, it's better to just rewrite it in Codeigniter 4 instead. As it's not backwards compatible. Or you need to stop with Codeigniter 3, that of course will supported (can't say a time frame) after CI 4 have been released.